> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/screen/screen.setawakemode.md).

# Screen.setAwakeMode

> Functional API `setScreenAwakeMode`You can use the same functionality with it as well.

### Feature description

Turn the screen's always-on setting on or off. Useful when you need to keep the screen on continuously, such as for webtoons, videos, or reading documents.

`enabled`changed `true`If set to, the screen will stay on, `false`When set to this, it turns off according to the default screen saver timeout. It affects the entire app, so if you want to use it only on a specific screen, restore the previous state when you leave that screen.

### Type

```ts
Screen.setAwakeMode(options: SetScreenAwakeModeOptions): Promise<{ enabled: boolean }>;
```

**Params**

```ts
interface SetScreenAwakeModeOptions {
  enabled: boolean;
}
```

**Response**

the applied state `{ enabled: boolean }` is returned in the form of.

### Example code

```js
import { Screen } from "@apps-in-toss/web-framework";

// Turn on always-on mode when entering a media content screen.
await Screen.setAwakeMode({ enabled: true });

// Restore the previous state when leaving the screen.
window.addEventListener("pagehide", () => {
  Screen.setAwakeMode({ enabled: false });
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/screen/screen.setawakemode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
